# Copyright (c) 2020-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# https://docs.ansible.com/ansible/latest/modules/include_vars_module.html
- include_vars:
    "{{ libvirt_guest_vars }}"
  with_first_found:
    - files:
        - "guest/vars/{{ guest_debootstrap_release }}.yml"
      skip: true
  loop_control:
    loop_var: "libvirt_guest_vars"

# https://docs.ansible.com/ansible/latest/modules/file_module.html
# yamllint disable rule:line-length
- name:
    "debootstrap: chroot-script"
  file:
    path: "/usr/share/debootstrap/scripts/{{ guest_debootstrap_release }}"
    src: "{{ libvirt_host_guest_os_chroot_version_map[guest_debootstrap_release] }}"
    state: "link"
  become:
    true
  when:
    "libvirt_host_guest_os_chroot_version_map[guest_debootstrap_release] is defined"
# yamllint disable rule:line-length

# https://docs.ansible.com/ansible/latest/include_tasks_module.html
# NB: this will register root_disk_partitions
- name:
    "prepare_guest_disk: {{ guest.key }}"
  include_tasks:
    "prepare_guest_disk.yml"

# https://docs.ansible.com/ansible/latest/include_tasks_module.html
- name:
    "grml-debootstrap: {{ guest.key }}"
  include_tasks:
    "grml-debootstrap.yml"
  when:
    - "not (root_disk_path ~ '1' in root_disk_partitions.stdout)"

# https://docs.ansible.com/ansible/latest/include_tasks_module.html
- name:
    "virt-install: {{ guest.key }}"
  include_tasks:
    "virt-install.yml"
